## r-cran-ggseqlogo 0.1

=== DESCRIPTION ===
Package: ggseqlogo
Type: Package
Title: A 'ggplot2' Extension for Drawing Publication-Ready Sequence
        Logos
Version: 0.1
Date: 2017-07-25
Author: Omar Wagih
Maintainer: Omar Wagih <wagih@ebi.ac.uk>
Description: The extensive range of functions provided by this package makes it possible to draw highly versatile sequence logos. Features include, but not limited to, modifying colour schemes and fonts used to draw the logo, generating multiple logo plots, and aiding the visualisation with annotations. Sequence logos can easily be combined with other plots 'ggplot2' plots.
License: LGPL
URL: https://github.com/omarwagih/ggseqlogo
BugReports: https://github.com/omarwagih/ggseqlogo/issues
Encoding: latin1
Imports: ggplot2
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-07-25 12:12:06 UTC; omarwagih
Repository: CRAN
Date/Publication: 2017-07-25 12:24:58 UTC

=== debian/changelog ===
r-cran-ggseqlogo (0.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 09:17:32 +0200

r-cran-ggseqlogo (0.1-1) unstable; urgency=medium

  * Initial release (closes: #970057,970058)

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Sep 2020 00:47:24 +0200

=== debian/control ===
Source: r-cran-ggseqlogo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-ggplot2
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo.git
Homepage: https://cran.r-project.org/package=ggseqlogo
Rules-Requires-Root: no

Package: r-cran-ggseqlogo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R ggplot2 extension for publication-ready sequence logos
 The extensive range of functions provided by this package makes it
 possible to draw highly versatile sequence logos.  Features include,
 but not limited to, modifying colour schemes and fonts used to draw the
 logo, generating multiple logo plots, and aiding the visualisation with
 annotations. Sequence logos can easily be combined with other plots
 'ggplot2' plots.

## r-cran-ggseqlogo 0.2

=== DESCRIPTION ===
Package: ggseqlogo
Type: Package
Title: A 'ggplot2' Extension for Drawing Publication-Ready Sequence
        Logos
Version: 0.2
Date: 2024-02-08
Author: Omar Wagih
Maintainer: Omar Wagih <omarwagih@gmail.com>
Description: The extensive range of functions provided by this package makes it possible to draw highly versatile sequence logos. Features include, but not limited to, modifying colour schemes and fonts used to draw the logo, generating multiple logo plots, and aiding the visualisation with annotations. Sequence logos can easily be combined with other plots 'ggplot2' plots.
License: LGPL
URL: https://github.com/omarwagih/ggseqlogo
BugReports: https://github.com/omarwagih/ggseqlogo/issues
Encoding: UTF-8
Imports: ggplot2
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2024-02-08 17:47:13 UTC; omarwagih
Repository: CRAN
Date/Publication: 2024-02-09 00:20:08 UTC

=== debian/changelog ===
r-cran-ggseqlogo (0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 14:31:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-ggseqlogo
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo.git
+Homepage: https://cran.r-project.org/package=ggseqlogo
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo.git
-Homepage: https://cran.r-project.org/package=ggseqlogo
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ggseqlogo
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/ggseqlogo_([-\d.]*)\.tar\.gz

## r-cran-ggseqlogo 0.2.2

=== DESCRIPTION ===
Package: ggseqlogo
Type: Package
Title: A 'ggplot2' Extension for Drawing Publication-Ready Sequence
        Logos
Version: 0.2.2
Date: 2025-12-22
Description: The extensive range of functions provided by this package makes it possible to draw highly versatile sequence logos. Features include, but not limited to, modifying colour schemes and fonts used to draw the logo, generating multiple logo plots, and aiding the visualisation with annotations. Sequence logos can easily be combined with other plots 'ggplot2' plots.
License: LGPL
URL: https://github.com/omarwagih/ggseqlogo
BugReports: https://github.com/omarwagih/ggseqlogo/issues
Encoding: UTF-8
Imports: ggplot2
RoxygenNote: 7.2.3
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-12-22 06:25:16 UTC; omarwagih
Repository: CRAN
Date/Publication: 2025-12-22 06:50:02 UTC
Authors@R: 
    person("Omar", "Wagih", , "omarwagih@gmail.com", role = c("aut", "cre"))
Author: Omar Wagih [aut, cre]
Maintainer: Omar Wagih <omarwagih@gmail.com>

=== debian/changelog ===
r-cran-ggseqlogo (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 11:00:52 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-ggseqlogo
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-ggplot2,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ggseqlogo.git
 Homepage: https://cran.r-project.org/package=ggseqlogo
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-ggplot2
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ggseqlogo
 Architecture: all
